Subject: bug#38218: network-interface-list only returns IPv4 addresses

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 16 Nov 2019 06:17:10 +0100

Robert Pluim <[email-masked]> writes:

> +Optional argument @var{full} non-@code{nil} means to instead return a
> +list of one or more elements of the form @w{@code{(@var{ifname}
> +@var{addr} @var{bcast} @var{netmask})}}.  @var{ifname} is a non-unique
> +string naming the interface.  @var{addr}, @var{bcast}, and
> +@var{netmask} are vectors of integers detailing the IP address,
> +broadcast address, and network mask.

I think it might make sense to include an example output from the
function here to make it clearer what the string bit is, in particular.

I've otherwise just skimmed the patch (and not tried it), but it makes
sense to me.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no